## ring-defaults-clojure 0.3.1

=== debian/changelog ===
ring-defaults-clojure (0.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: Migrate to the Clojure Team.

  [ Andreas Tille ]
  * Fix watch file
  * d/rules: check DEB_BUILD_OPTIONS against nocheck
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Feb 2025 12:44:58 +0100

ring-defaults-clojure (0.3.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 20:35:38 +0100

ring-defaults-clojure (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #855768)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 09:00:31 -0400
