=== debian/control ===
Source: ring-defaults-clojure
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               maven-repo-helper,
               clojure,
               libtext-markdown-perl | markdown,
               libring-core-clojure,
               libring-ssl-clojure,
               libring-headers-clojure,
               libring-anti-forgery-clojure,
               libring-mock-clojure,
               libservlet3.1-java,
               default-jdk-headless
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/clojure-team/ring-defaults-clojure
Vcs-Git: https://salsa.debian.org/clojure-team/ring-defaults-clojure.git
Homepage: https://github.com/ring-clojure/ring-defaults

Package: libring-defaults-clojure
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: Ring middleware that provides sensible defaults
 Knowing what middleware to add to a Ring application, and in what
 order, can be difficult and prone to error.
 .
 This library attempts to automate the process, by providing sensible
 and secure default configurations of Ring middleware for both websites
 and HTTP APIs.
